package ogloszenia.klient;

import java.util.Scanner;

import ogloszenia.generated.*;

public class Klient2_JednoOgloszenie {

	public static void main(String[] args) {
		OgloszeniaService service = new OgloszeniaService();
		Ogloszenia proxy = service.getOgloszeniaPort();

		System.out.println("Ujemne id kończy program");
		Scanner sc = new Scanner(System.in);
		while(true) {
			System.out.print("Podaj id szukanego ogłoszenia: ");
			int id = sc.nextInt();
			if(id <= 0) break;
			
			try {
				OgloszenieSamochodowe ogl = proxy.readOne(id);
				System.out.printf("%s %s za %s\n", ogl.getMarka(), ogl.getModel(), ogl.getCena());
				System.out.println(ogl.getTytul());
				System.out.println(ogl.getOpis());
			} catch (NieznanyRekord_Exception e) {
				System.out.println(e.getMessage());
			} catch (BladBazyDanych_Exception e) {
				System.out.println("Inny błąd serwera: " + e);
			} catch (Exception e) {
				System.out.println("Inny błąd: " + e);
			}
		}
	}

}

// alt+Enter intellij  =~=   Ctrl+1 w eclipse

