
package kalkulator;

import javax.xml.namespace.QName;
import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the kalkulator package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _AddReq_QNAME = new QName("http://www.example.org/Kalkulator/", "add-req");
    private final static QName _AddResp_QNAME = new QName("http://www.example.org/Kalkulator/", "add-resp");
    private final static QName _SubReq_QNAME = new QName("http://www.example.org/Kalkulator/", "sub-req");
    private final static QName _SubResp_QNAME = new QName("http://www.example.org/Kalkulator/", "sub-resp");
    private final static QName _MulReq_QNAME = new QName("http://www.example.org/Kalkulator/", "mul-req");
    private final static QName _MulResp_QNAME = new QName("http://www.example.org/Kalkulator/", "mul-resp");
    private final static QName _DivReq_QNAME = new QName("http://www.example.org/Kalkulator/", "div-req");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: kalkulator
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DwaInty }
     * 
     * @return
     *     the new instance of {@link DwaInty }
     */
    public DwaInty createDwaInty() {
        return new DwaInty();
    }

    /**
     * Create an instance of {@link WynikInt }
     * 
     * @return
     *     the new instance of {@link WynikInt }
     */
    public WynikInt createWynikInt() {
        return new WynikInt();
    }

    /**
     * Create an instance of {@link DivResp }
     * 
     * @return
     *     the new instance of {@link DivResp }
     */
    public DivResp createDivResp() {
        return new DivResp();
    }

    /**
     * Create an instance of {@link ZeroDivisionError }
     * 
     * @return
     *     the new instance of {@link ZeroDivisionError }
     */
    public ZeroDivisionError createZeroDivisionError() {
        return new ZeroDivisionError();
    }

    /**
     * Create an instance of {@link AvgReq }
     * 
     * @return
     *     the new instance of {@link AvgReq }
     */
    public AvgReq createAvgReq() {
        return new AvgReq();
    }

    /**
     * Create an instance of {@link AvgResp }
     * 
     * @return
     *     the new instance of {@link AvgResp }
     */
    public AvgResp createAvgResp() {
        return new AvgResp();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "add-req")
    public JAXBElement<DwaInty> createAddReq(DwaInty value) {
        return new JAXBElement<>(_AddReq_QNAME, DwaInty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "add-resp")
    public JAXBElement<WynikInt> createAddResp(WynikInt value) {
        return new JAXBElement<>(_AddResp_QNAME, WynikInt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "sub-req")
    public JAXBElement<DwaInty> createSubReq(DwaInty value) {
        return new JAXBElement<>(_SubReq_QNAME, DwaInty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "sub-resp")
    public JAXBElement<WynikInt> createSubResp(WynikInt value) {
        return new JAXBElement<>(_SubResp_QNAME, WynikInt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "mul-req")
    public JAXBElement<DwaInty> createMulReq(DwaInty value) {
        return new JAXBElement<>(_MulReq_QNAME, DwaInty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WynikInt }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "mul-resp")
    public JAXBElement<WynikInt> createMulResp(WynikInt value) {
        return new JAXBElement<>(_MulResp_QNAME, WynikInt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DwaInty }{@code >}
     */
    @XmlElementDecl(namespace = "http://www.example.org/Kalkulator/", name = "div-req")
    public JAXBElement<DwaInty> createDivReq(DwaInty value) {
        return new JAXBElement<>(_DivReq_QNAME, DwaInty.class, null, value);
    }

}
